Page=new Array();Page[0]=new Array("This guide is intended for users of Parallels Desktop for Mac Pro Edition. It documents the command-line interface that can be used to manage Parallels Desktop and virtual machines. The interface supports the majority of Parallels Desktop management tasks that can be performed using the Parallels Desktop graphical user interface.","The command-line interface includes the following utilities: ","prlsrvctl &#8212; the utility is used to manage Parallels Desktop. The tasks include getting general information about Parallels Desktop, modifying Parallels Desktop preferences, getting a list of users, obtaining statistics, installing a license, and others. ","prlctl &#8212; the utility is used to manage virtual machines. The tasks include creating and configuring virtual machines, snapshot management, cloning operations, installing Parallels Tools, obtaining statistics, generating problem reports, and many others.","The command-line utilities are installed on a Mac as part of Parallels Desktop installation. You can run the utilities in Terminal","Note that to get help about a particular command, you can type man &lt;name_of_the_command&gt; in Terminal. This will list the command attributes and additional help.","Introduction","39224.htm");

Page[1]=new Array("The prlsrvctl command-line utility is used to perform management tasks on Parallels Desktop. The tasks include getting the Parallels Desktop information, modifying Parallels Desktop preferences, installing a license, obtaining statistics and problem reports, and others.","The general syntax is as follows:","prlsrvctl command [options] [-v, --verbose number]","The parameters are:","command: one of the available commands.","options: command options.","-v, --verbose number: Show verbose output. The greater the number, the more verbose output will be produced.","The subsequent sections describe the available prlsrvctl commands grouped by functionality.","Parallels Desktop Management","38168.htm");

Page[2]=new Array("prsrvctl info","Displays the detailed information about the Parallels Desktop configuration.","Optional parameters","--license ","If included, only the Parallels Desktop license information is displayed.","--activation-id ","If included, only the license activation ID is displayed.","--deactivation-id","If included, only the license deactivation ID is displayed.","--json","Produces the machine-readable output in JSON format.","Display Parallels Desktop Info","28844.htm");

Page[3]=new Array("This section describes Parallels Desktop license management tasks.","License Management","43665.htm");

Page[4]=new Array("web-portal signin &lt;email&gt;","Sign in to your Parallels account. The &lt;email&gt; parameter specifies your registered email address. When prompted, enter your Parallels account password. You can also specify a file containing the password using an optional parameter (see below). ","This command must be used before you activate Parallels Desktop Pro or Home editions from the command line using the install-license command.","Optional parameters","-p,--read-passwd &lt;path&gt;","Specifies a text file with your Parallels account password.","Related commands","web-portal signout","Signs you out of your Parallels account.","info --web-portal","Displays the information about whether you are signed in to your Parallels account and lists details if you are.","Sign in to Parallels Account","44718.htm");

Page[5]=new Array("prlsrvctl install-license &lt;-k,  --key &lt;key&gt;&gt;","Installs a Parallels Desktop license. The -k, --key &lt;key&gt; parameter specifies a Parallels Desktop license key to install.","Optional parameters","-n, --name &lt;name&gt;","The license owner name.","-c, --company &lt;name&gt;","The license company name.","--deferred","Stores the license for deferred installation. The license will be activated the next time Parallels Desktop is started. If a license has already been activated, it should be deactivated first before using this option. See the prlsrvctl deactivate-license command.","--activate-online-immediately","Activates the license over the Internet immediately.","Notes","When activating Parallels Desktop Pro or Home editions, you must be signed in to your Parallels account before executing this command. See Sign in to Parallels Account.","Install a Parallels Desktop License","28845.htm");

Page[6]=new Array("prlsrvctl deferred-license &lt;--install | --remove&gt;","Installs or removes a license stored for deferred installation.","Parameters","--install","Installs the license stored for deferred installation.","--remove","Removes the license stored for deferred installation.","Install / Remove a Deferred License","43666.htm");

Page[7]=new Array("prlsrvctl update-license","Updates the current Parallels Desktop license.","Update a License","43667.htm");

Page[8]=new Array("prlsrvctl activate-license-online","Activates the installed Parallels Desktop license over the Internet.","Notes","This command is no longer used in Parallels Desktop v14 and later.","Activate a License Online","43668.htm");

Page[9]=new Array("prlsrvctl install-license-offline -f, --file &lt;path-to-license-file&gt;","Activates the installed Parallels Desktop license offline.","Activate a License Offline","43669.htm");

Page[10]=new Array("prlsrvctl deactivate-license [--skip-network-errors]","Deactivates the current Parallels Desktop license. The --skip-network-errors option skips network errors and removes the license locally.","Deactivate a License","37167.htm");

Page[11]=new Array("prlsrvctl set","The prlsrvctl set command is used to modify Parallels Desktop preferences. The available parameters and options are described below.","Parameters","--mem-limit &lt;auto | size&gt;","Sets the total memory allocated to Parallels Desktop and its virtual machines. The auto option  optimizes the memory usage. The size option allows the user to set the memory size manually.","-s, --min-security-level &lt;low | normal | high&gt;","Specifies the minimum connection security level to connect to the server. Low - no transmitted data is encrypted. Normal - only the most important data is encrypted. High - all transmitted data is encrypted.","-c, --cep &lt;on | off&gt;","Enables or disables the participation in the Customer Experience Program.","--verbose-log &lt;on | off&gt;","Enables or disables verbose logging.","--log-rotation &lt;on | off&gt;","Enables or disables automatic rotation of the Parallels Dispatcher Service and virtual machine log files.","--allow-attach-screenshots &lt;on | off&gt;","Enables or disables attaching virtual machine and host screenshots to a problem report.","--require-pwd &lt;create-vm | add-vm | remove-vm | clone-vm&gt;:&lt;on | off&gt;","Require to enter an administrator password to perform a corresponding action (create a VM, add a VM, etc.).","--require-custom-pwd &lt;create-vm | add-vm | remove-vm | clone-vm | edit-preferences&gt;:&lt;on | off&gt;","Require to enter a custom password to perform a corresponding action.","--custom-pwd [--custom-pwd-mode &lt;on | off | change&gt;] [--replace-commands]","Set, reset, or change the custom password for operations that require it. See the explanation of parameters below.","--custom-pwd-mode &lt;on | off | change&gt; &#8212; set, reset, or change the custom password for operations which require it.","--replace-commands &#8212; specify this option to reset commands that are protected with the admin password. This means that when you enable a custom password, commands that require the admin password will now require a custom password. Commands that previously required a custom password will be discarded. The same logic is used when you switch back to the admin password (set --custom-pwd-mode to off). When you disable a custom password, commands that require it will now require the admin password. Commands that previously required the admin password will be discarded. This option is ignored if --custom-pwd-mode is set to change. ","--lock-edit-settings &lt;on | off [--host-admin &lt;name&gt;]&gt;","Locks or unlocks Parallels Desktop preferences for editing. The --host-admin parameter specifies the host administrator name if an administrator password is required to unlock Parallels Desktop preferences for editing.","--external-dev-auto-connect &lt;host | guest | ask&gt;","When a new external device is attached to the Mac, connect it to the host, guest, or ask the user what to do.","--default-encryption-plugin &lt;plugin-id&gt;","Sets the default encryption plugin.","--reset-default-encryption-plugin","Resets the default encryption plugin.","--hide-license-request-params &lt;on | off&gt;","Hides the host name and user name in requests to Parallels Licensing Server.","Parallels Desktop Preferences","28846.htm");

Page[12]=new Array("prlsrvctl user list [-o, --output field [,field...]] [-j, --json]","Lists users currently existing in Parallels Desktop. The -o, --output field [,field...] option is used to display the specified field(s) only.","prlsrvctl user set &lt;--def-vm-home &lt;path&gt;&gt;","Modifies the default virtual machines location to the specified path. ","User List and Virtual Machine Location","43671.htm");

Page[13]=new Array("prlsrvctl net info &lt;vnetwork_id&gt;","Displays a detailed information about the specified virtual network.","prlsrvctl net list [-j, --json]","Lists existing virtual networks.","Virtual Network Info","43672.htm");

Page[14]=new Array("prlsrvctl net set &lt;vnetwork_id&gt; [options]","The prlsrvctl net set command is used to modify virtual network settings. The available parameters and options are described below.","Parameters","-i, --ifname &lt;if&gt;","Sets the name of the network interface in Parallels Desktop to which the virtual network will be bound.","-m, --mac &lt;mac&gt;","Sets the MAC address of the network interface in Parallels Desktop to which the virtual network will be bound. The network interface with the specified MAC address must exist in Parallels Desktop.","-t, --type &lt;bridged | host-only | shared&gt;","Sets the virtual network type.","-d, --description &lt;description&gt;","Sets the virtual network description.","-n, --name &lt;new_name&gt;","Sets a new name for the virtual network.","--ip &lt;ip[/mask]&gt;","Sets an IPv4 address and subnet mask for the Parallels virtual network adapter.","--dhcp-server &lt;on | off&gt;","Enables or disables the Parallels virtual DHCPv4 server.","--dhcp-ip &lt;ip&gt;","Sets an IPv4 address for the Parallels virtual DHCPv4 server.","--ip-scope-start &lt;ip&gt;","Sets the start IPv4 address for the pool of IPv4 addresses.","--ip-scope-end &lt;ip&gt;","Sets the end IPv4 address for the pool of IPv4 addresses.","--ip6 &lt;ip[/mask]&gt;","Sets an IPv6 address and subnet mask for the Parallels virtual network adapter.","--dhcp6-server &lt;on | off&gt;","Enables or disables the Parallels virtual DHCPv6 server.","--dhcp-ip6 &lt;ip&gt;","Sets an IPv6 address for the Parallels virtual DHCPv6 server.","--ip6-scope-start &lt;ip&gt;","Sets the start IPv6 address for the pool of IPv6 addresses.","--ip6-scope-end &lt;ip&gt;","Sets the end IPv6 address for the pool of IPv6 addresses.","--host-assign-ip6 &lt;on | off&gt;","Sets whether the host interface for this network will have IPv6 address.","--connect-host-to-net &lt;on | off&gt;","Connects the host to the current Parallels virtual network adapter.","--nat-&lt;tcp | udp&gt;-add &lt;rule_name, src_port,&lt;dest_ip | dest_vm&gt;, dest_port&gt;","Adds a new port forwarding rule. The options are:","rule_name: a rule name.","src_port: port number for incoming connections.","dest_ip: an IP address to which incoming connections will be forwarded.","dest_vm: the name or UUID of the virtual machine to which incoming connections will be forwarded.","dest_port: port number to which incoming connections will be forwarded.","--nat-&lt;tcp | udp&gt;-del &lt;rule_name&gt;","Deletes the specified port forwarding rule.","Virtual Network Settings","43673.htm");

Page[15]=new Array("prlsrvctl usb list [-j, --json] [-c, --compat] [-a, --all]","Lists USB devices installed on the server together with the information on their assignments for the current user. In the compat mode all known USB devices are listed, showing the device name, device ID and autoconnect options. In the new mode (without the [-c, --compat] option), some additional information about the device is shown, such as whether the device is connected to a VM at the current moment.  By default, only currently plugged to host devices are shown. To see all devices, call with the [-a, --all] option.","prlsrvctl usb set &lt;usb_dev_id&gt; &lt;vm_uuid | vm_name&gt; | [--autoconnect &lt;ask | host&gt;] | [--vm &lt;vm_uuid | vm_name&gt;]","Either assigns a USB device with ID &lt;usb_dev_id&gt; to the specified virtual machine or configures the action for this device (suggest to connect to active VM or silently connect to host).  When the device is configured to connect to a virtual machine, this USB device will be connected to the specified virtual machine when you start the virtual machine or attach the device to the host computer.","prlsrvctl usb del &lt;usb_dev_id&gt;","Removes a specified USB device assignment.","USB Devices","43674.htm");

Page[16]=new Array("prlsrvctl problem-report &lt;-d, --dump | -s, --send [--proxy &lt;user[:password]@proxyhost[:port]&gt; | --no-proxy]&gt;","Generates a problem report. If the -s, --send option is specified, sends the report to Parallels. The --proxy parameter specifies Internet proxy settings if you are using one to connect to the Internet.","Optional parameters","--stand-alone","Assembles a report without connecting to the Parallels Desktop service.","--name &lt;user_name&gt;","Appends the user name to the report.","--email &lt;user_email&gt;","Appends the user email address to the report.","--description &lt;problem_description&gt;","Appends a free-form description to the report.","Send Problem Report","43675.htm");

Page[17]=new Array("prlsrvctl shutdown [-f, --force]","Shuts down Parallels Desktop. The command correctly stops all services. The optional -f, --force parameter forcibly shuts down Parallels Desktop and hard-stops services if necessary.","Shut Down Parallels Desktop","43678.htm");

Page[18]=new Array("prlsrvctl plugin list [-j, --json]","Lists installed Parallels plugins.","prlsrvctl plugin refresh","Refreshes installed Parallels plugins.","Parallels Desktop Plugin Commands","43676.htm");

Page[19]=new Array("The prlsrvctl utility returns 0 on success or an error code on failure.","Error Handling","43685.htm");

Page[20]=new Array("The prlctl utility is used to perform management tasks on virtual machines. The utility supports a full range of tasks from creating and administering virtual machines to getting statistics and generating problem reports. ","The general syntax is as follows:","prlctl command &lt;vm_ID | vm_name&gt; [options] [-v, --verbose number]","The parameters are:","command: one of the available commands.","vm_ID | vm_name: ID or name of the target virtual machine.","options: command options.","-v, --verbose number: Show verbose output. The greater the number, the more verbose output will be produced.","The subsequent sections describe the available prlctl commands grouped by functionality.","Virtual Machine Management","38169.htm");

Page[21]=new Array("This section describes various prlctl commands allowing you to perform such tasks as listing virtual machines, creating new virtual machines, cloning, performing power operations (start, stop, pause, etc.), encrypting, and many others.","General Virtual Machine Management","43631.htm");

Page[22]=new Array("Syntax 1","prlctl list","Lists existing virtual machines. By default (when no parameters are included), only running VMs are displayed.","Optional parameters","-a, --all","Lists all existing virtual machines regardless of their state (running, stopped, suspended, etc.).","-f, --full","Shows the real IP address(es) for running virtual machines.","-o, --output field [, field...]","Displays only the specified field(s).","-s, --sort &lt;field | -field&gt;","Sorts by field (arguments are the same as those for -o). Add &quot;-&quot; (minus sign) before the field name to reverse the sort order.","-L","Lists fields which can be used for both the output (-o, --output) and sort order (-s,  --sort) options.","-t, --template","Include templates in the output.","-j, --json","Produces output in JSON format. ","Syntax 2","list -i, --info","Displays the VM configuration information. By default, the information for all existing VMs is shown.","Optional parameters","-f, --full","Shows the real IP address(es) for running virtual machines.","-j, --json","Produces output in JSON format.","vm_id | vm_name","Returns the information about a VM specified by ID or name.","List Virtual Machines","23460.htm");

Page[23]=new Array("Syntax 1","prlctl create &lt;vm_name&gt; --ostemplate &lt;name&gt;","Creates a virtual machine from the specified virtual machine template. The --ostemplate &lt;name&gt; parameter specifies the source template name. To obtain the list of available templates, use the prlctl list -t command.","Optional parameters","--dst","A path to the directory where the virtual machine files will be stored. If omitted, the default location will be used.","--changesid ","Change the Windows security identifier (SID) of a Windows-based virtual machine template. It requires Parallels Tools to be installed in the template. If omitted, the original SID will be used.","Syntax 2","prlctl create &lt;vm_name&gt; [-o,--ostype &lt;name | list&gt;]","Creates a virtual machine and optimizes it for the OS type specified in the --ostype option. If the --ostype parameter is omitted, the virtual machine is optimized for Windows 10 by default. <br />If you want to optimize the virtual machine for a different OS type, use the list option to get the list of available OS types: prlctl create vm_name -o list, then select a desired OS type name and use it as a value of the -o parameter.","Syntax 3","prlctl create &lt;vm_name&gt; -d,--distribution &lt;name | list&gt;","Creates a virtual machine and optimizes it for the OS distribution specified in the --distribution option. Use the list option to get the list of available distributions: prlctl create vm_name -d list, then select a desired distribution name and use it as a value of the -o parameter.","Common optional parameters","--no-hdd","Create a virtual machine without hard disk drives.","--lion-recovery ","Create a virtual machine from the Lion OS host recovery partition.","Create a Virtual Machine","23458.htm");

Page[24]=new Array("prlctl delete &lt;vm_id | vm_name&gt;","Deletes a virtual machine. The command removes a virtual machine from Parallels Desktop and permanently deletes all its files from the host computer. Once completed, this operation cannot be reversed.","Delete  a Virtual Machine","23459.htm");

Page[25]=new Array("Register a virtual machine","prlctl register &lt;path&gt;","Registers a virtual machine in Parallels Desktop. The &lt;path&gt; parameter specifies a path to the virtual machine file. ","Optional parameters","--uuid &lt;UUID&gt;","If included, the specified UUID will be assigned to the virtual machine. A UUID can be generated using console utilities like uuidgen(1)in macOS. If this option is not included, the original UUID will be used.","--regenerate-src-uuid ","If included, the virtual machine source ID will be automatically generated (the SMBIOS product ID will be changed as well).","--force","If included, all validation checks will be skipped.","Unregister a virtual machine","prlctl unregister &lt;vm_id | vm_name&gt;","Unregisters the specified virtual machine.","Remarks","Use the register command when you have a virtual machine on the host that doesn't show up in the list of the virtual machines registered with Parallels Desktop. This can be a machine that was previously removed from Parallels Desktop or a machine that was manually copied from another location.","Note that after a VM is registered, all VM restrictions on the filesystem are removed. If you would like to protect the VM from editing, you should restrict registering or removing the VM in Parallels Desktop preferences.","The unregister command removes a virtual machine from Parallels Desktop but does not delete it from the host. You can re-register such a machine with Parallels Desktop later using the register command.","Register / Unregister  a Virtual Machine","23463.htm");

Page[26]=new Array("prlctl clone &lt;vm_id | vm_name&gt; --name &lt;new_name&gt; ","Clones (makes an exact copy of) a specified virtual machine. The -name &lt;new_name&gt; parameter specifies a name to give to the new virtual machine.","Optional parameters","--template","Make the new virtual machine a template.","--dst","Set the path to the directory where the virtual machine files will be stored. If omitted, the default location will be used.","--changesid","Change the current Windows security identifier (SID) of a Windows-based virtual machine template. It requires Parallels Tools to be installed in the virtual machine template.","--regenerate-src-uuid","Regenerate the virtual machine source ID (the SMBIOS product ID will also be changed).","--linked","Create a linked clone.","-i, --id &lt;snapid&gt; ","Create a linked clone based on a snapshot with given snapid.","--detach-external-hdd &lt;yes | no&gt;","Specifies what to do with hard disks located outside the source virtual machine file. If you specify yes, outside hard disks will be removed from the destination VM. If you specify no, outside hard disks will remain in the new VM. Please note that in either case, the outside hard disks will NOT be copied to the destination.","Clone  a Virtual Machine","23457.htm");

Page[27]=new Array("prlctl convert &lt;path&gt; ","This command is used to convert a third-party virtual machine to a Parallels virtual machine. The &lt;path&gt; parameter specifies a path to the original virtual machine.","Optional parameters","--dst &lt;path&gt;","A path where the converted virtual machine files will be stored. If omitted, the default virtual machine location will be used.","--force","If included, the virtual machine conversion will continue even if the guest OS cannot be identified.","Notes","The following third-party virtual machines and disks are supported:","Microsoft Hyper-V","Microsoft Virtual PC","Virtual Box","VMware","Convert  a Virtual Machine","38165.htm");

Page[28]=new Array("prlctl move &lt;vm_id | vm_name&gt; --dst &lt;path&gt;","Moves the files of a specified virtual machine to a location specified in the -dst parameter on the same computer. The command supports moving only stopped and suspended virtual machines.","Move Virtual Machine Files","43626.htm");

Page[29]=new Array("prlctl installtools &lt;vm_id | vm_name&gt;","Installs Parallels Tools in the specified virtual machine. To use this command, the target virtual machine must be running.","Install Parallels Tools","27151.htm");

Page[30]=new Array("prlctl enter &lt;vm_id | vm_name&gt;","Logs in to the virtual machine. The command creates a command prompt channel to a virtual machine and allows you to execute commands in it. Parallels Tools must be installed in the virtual machine.","Optional parameters","--current-user or --user &lt;user_name&gt;","Include the --current-user option to log in as the user currently logged in inside the guest OS; or use the --user parameter and specify a user name.","--password &lt;password&gt;","The user password.","Log In to a Virtual Machine","30545.htm");

Page[31]=new Array("prlctl exec &lt;vm_id | vm_name&gt; &lt;command&gt;","Executes a command inside a virtual machine. Parallels Tools must be installed in the virtual machine. Commands in Linux guests are invoked with bash -c.","Optional parameters","--current-user or  --user &lt;user_name&gt;","Include the --current-user option to log in as the user currently logged in inside the guest OS; or use the --user parameter and specify a user name.","--password &lt;password&gt;","The user password","-r, --resolve-paths","Enable converting host paths to guest.","Execute a Command In a Virtual Machine","30544.htm");

Page[32]=new Array("prlctl status &lt;vm_id | vm_name&gt;","Displays the status of the specified virtual machine.","Get Virtual Machine Status","43627.htm");

Page[33]=new Array("prlctl start &lt;vm_id | vm_name&gt;","Starts the specified virtual machine. The start command can be used to start a stopped virtual machine or to resume a paused virtual machine.","prlctl resume &lt;vm_id | vm_name&gt;","Resumes the specified virtual machine.","prlctl pause &lt;vm_id | vm_name&gt;","Pauses the specified virtual machine.","prlctl suspend &lt;vm_id | vm_name&gt;","Suspends the specified virtual machine.","prlctl restart &lt;vm_id | vm_name&gt;","Restarts the specified virtual machine. The restart command first gracefully shuts down a virtual machine and then starts it again.","prlctl reset &lt;vm_id | vm_name&gt;","Resets the specified virtual machine. The reset command first performs a 'hard' virtual machine shutdown and then starts it again.","prlctl reset-uptime &lt;vm_id | vm_name&gt;","Resets the specified virtual machine uptime counter (the counter start date/time will also will be reset with this action).","prlctl stop &lt;vm_id | vm_name&gt; [--kill]","Stops the specified virtual machine. You can use the --kill option to forcibly stop the VM. The stop command can perform a 'hard' or a graceful virtual machine shutdown. If the --kill parameter is included, the 'hard' shutdown will be performed. If the parameter is omitted, the outcome of the graceful shutdown attempt will depend on the following:","- If the Parallels Tools package is installed in a virtual machine, the graceful shutdown will be performed using its facilities.","- If the Parallels Tools package is not installed, the command will try to perform a graceful shutdown using ACPI. Depending on the ACPI support availability in the guest operating system, this may work or not.","Power Operations","23466.htm");

Page[34]=new Array("prlctl change-sid &lt;vm_id | vm_name&gt;","Changes the Windows security identifier (SID) in the specified virtual machine. ","Change Windows SID","43628.htm");

Page[35]=new Array("prlctl capture &lt;vm_id | vm_name&gt; --file &lt;name&gt;","Captures a screen area of a virtual machine to a file in PNG format. The --file &lt;name&gt; parameter specifies the target file name and path.","Capture a Screen Area","23456.htm");

Page[36]=new Array("prlctl encrypt &lt;vm_id | vm_name&gt; [--dry-run]","Encrypts the specified virtual machine. You can use the the --dry-run option to check preconditions for successful encryption. The encrypt command will encrypt the specified virtual machine and all its data. A user will be prompted to enter an encryption password after the command is executed. The password will be required to decrypt the virtual machine later. The encryption password can be modified for an encrypted virtual machine using the change-passwd command (see below).","prlctl decrypt &lt;vm_id | vm_name&gt; [--dry-run]","Decrypts the specified encrypted virtual machine. You can use the the --dry-run option to check preconditions for successful decryption. The decrypt command will decrypt the specified virtual machine. A user will have to enter a password that was specified when the virtual machine was encrypted.","prlctl change-passwd &lt;vm_id | vm_name&gt;","Changes the encryption password for the specified virtual machine. A user will be asked to enter the current and the new password.","Encrypt / Decrypt a Virtual Machine","32567.htm");

Page[37]=new Array("prlctl archive &lt;vm_id | vm_name&gt;","Archives the specified virtual machine bundle.","prlctl unarchive &lt;vm_id | vm_name&gt;","Unarchives the specified virtual machine bundle.","Archive / Unarchive a Virtual Machine","43629.htm");

Page[38]=new Array("prlctl protection-set &lt;vm_id | vm_name&gt;","Protects the specified encrypted virtual machine expiration date settings with a password.","prlctl protection-remove &lt;vm_id | vm_name&gt;","Disables password protection of the specified encrypted virtual machine expiration date settings.","Set Password Protection","43630.htm");

Page[39]=new Array("This section describes prlctl set command options that you can use to configure a virtual machine.","The general syntax is as follows:","prlctl set &lt;vm_id | vm_name&gt; [options]","The prlctl set command is used to modify the configuration of a virtual machine and manage virtual machine devices and shared folders. The subsequent subsections describe parameters and options that can be used with this command to perform a variety of virtual machine configuration management tasks.","Virtual Machine Configuration Tasks","23465.htm");

Page[40]=new Array("--cpus &lt;num&gt;","Sets the number of CPUs to be available to the virtual machine.","--memsize &lt;num&gt;","Sets the amount of memory for the virtual machine (in megabytes).","CPU and Memory Parameters","43635.htm");

Page[41]=new Array("--device-bootorder &lt;&quot;name1 name2 ...&quot;&gt;","Specifies the order of boot devices for the virtual machine. Supported devices are HDD, CD/DVD, FDD, Network. A device name can be obtained using the prlctl list -i command.","--efi-boot &lt;on | off&gt;","Sets EFI boot options. Specify on to boot using the EFI firmware. Specify off to boot using the BIOS firmware (default).","--select-boot-device &lt;on | off&gt;","Enables or disables selecting a boot device at the virtual machine startup.","--external-boot-device &lt;name&gt;","Sets an external device from which to boot the virtual machine.","Boot Order Parameters","43636.htm");

Page[42]=new Array("--videosize &lt;num&gt;","Sets the amount of memory for the virtual machine graphic card (in megabytes).","--3d-accelerate &lt;off | highest | dx9&gt;","Sets 3d acceleration video mode.","--vertical-sync &lt;on | off&gt;","Enables or disables vertical synchronization.","--high-resolution &lt;on | off&gt;","Enables or disables high resolution video mode for retina display.","Video Parameters","43637.htm");

Page[43]=new Array("--smart-mouse-optimize &lt;auto | on | off&gt;","Sets smart mouse optimization mode.","--sticky-mouse &lt;on | off&gt;","Enables or disables the sticky mouse option.","--keyboard-optimize &lt;auto | accessibility | on | off&gt;","Sets a keyboard optimization mode.","Mouse and Keyboard Parameters","43638.htm");

Page[44]=new Array("--sync-host-printers &lt;on | off&gt;","Enables or disables using host printers in Windows guests (starting from Windows 2000).","--sync-default-printer &lt;on | off&gt;","Synchronizes host's default printer with Windows default printer.","Virtual Printer Parameters","43639.htm");

Page[45]=new Array("--auto-share-camera &lt;on | off&gt;","Enables or disables automatic Web camera sharing.","--auto-share-bluetooth &lt;on | off&gt;","Enables or disables automatic sharing of bluetooth devices.","--support-usb30 &lt;on | off&gt;","Enables or disables USB 3.0 support.","USB and Bluetooth Parameters","43640.htm");

Page[46]=new Array("--autostart &lt;off | open-window | start-app | start-host | user-login&gt;","Sets the virtual machine autostart options:","off: The virtual machine is started manually.","open-window: The virtual machine starts when its window opens.","start-app: The virtual machine starts when Parallels Desktop starts.","start-host: The virtual machine is started automatically on the host boot.","user-login: The virtual machine is started automatically on user logon.","--autostart-delay &lt;n&gt;","Sets the delay of the virtual machine autostart on host boot to n seconds.","--autostop &lt;stop | suspend | shutdown&gt;","Specifies what should happen to the virtual machine on host shutdown.","--startup-view &lt;same | window | coherence | fullscreen | modality | headless&gt;","Sets the virtual machine startup view options:","same: Same as the last time","window: Normal window","coherence: Coherence","fullscreen: Full screen","modality: Modality","headless: Headless","--on-shutdown &lt;window | close | quit&gt;","Sets the virtual machine shutdown options:","window: The virtual machine window stays open after the virtual machine is shut down.","close: The virtual machine window closes after the virtual machine is shut down.","quit: Parallels Desktop quits after the virtual machine is shut down.","--on-window-close &lt;suspend | shutdown | stop | ask | keep-running&gt;","Sets the virtual machine window close options:","suspend: The virtual machine is suspended after its window is closed.","shutdown: The virtual machine is shut down after its window is closed.","stop: The virtual machine is forcibly stopped after its window is closed.","ask: Ask the user what to do: suspend, shut down, or stop the virtual machine.","keep-running: The virtual machine is kept running after its window is closed.","--pause-idle &lt;on | off&gt;","Enables or disables pausing of an idle virtual machine.","--undo-disks &lt;off | discard | ask&gt;","Sets the virtual machine undo disks options:","off: Undo disks mech is off.","discard: Discard all changes made in the virtual machine after it is stopped.","ask: Ask the user what to do: apply changes or discard them after the virtual machine is stopped.","Startup and Shutdown Parameters","43641.htm");

Page[47]=new Array("--faster-vm &lt;on | off&gt;","Sets the performance mode: faster virtual machine or faster host.","--adaptive-hypervisor &lt;on | off&gt;","Enables or disables adaptive hypervisor.","--disable-winlogo &lt;on | off&gt;","Enables or disables Windows logo.","--auto-compress &lt;on | off&gt;","Enables or disables automatic compression of virtual disks.","--nested-virt &lt;on | off&gt;","Enables or disables nested virtualization.","--pmu-virt &lt;on | off&gt;","Enables or disables PMU virtualization.","--longer-battery-life &lt;on | off&gt;","Sets a power option: longer battery life or better performance.","--battery-status &lt;on | off&gt;","Shows or hide battery status.","--resource-quota &lt;low | medium | unlimited&gt;","Sets the virtual machine resource quota:","low: The host uses maximum possible resources.","medium: The host and the virtual machine evenly share resources.","unlimited: The virtual machine uses maximum possible resources.","Optimization Parameters","43642.htm");

Page[48]=new Array("--smart-mount &lt;on | off&gt;","Enables or disables shared volumes.","--shared-profile &lt;on | off&gt;","Enables or disables shared profile.","--shared-cloud &lt;on | off&gt;","Enables or disables shared cloud.","--sh-app-guest-to-host &lt;on | off&gt;","Enables or disables sharing guest applications with host.","--show-guest-app-folder-in-dock &lt;on | off&gt;","Enables or disables showing the folder with guest OS applications in the Dock.","--sh-app-host-to-guest &lt;on | off&gt;","Enables or disables sharing host applications with guest.","Sharing Parameters","43643.htm");

Page[49]=new Array("--winsystray-in-macmenu &lt;on | off&gt;","Shows Windows notification area in the Mac menu bar.","--auto-switch-fullscreen &lt;on | off&gt;","Allows applications to auto-switch to full screen.","--disable-aero &lt;on | off&gt;","Enables or disables Windows Aero.","--hide-min-windows &lt;on | off&gt;","Allows to hide minimized windows.","Coherence Parameters","43644.htm");

Page[50]=new Array("--require-pwd &lt;exit-fullscreen | change-vm-state | manage-snapshots | change-guest-pwd&gt;:&lt;on | off&gt;","Require an administrator password to perform a corresponding action.","--require-custom-pwd &lt;exit-fullscreen | change-vm-state | manage-snapshots | change-guest-pwd | change-vm-config&gt;:&lt;on | off&gt;","Require a custom password to perform an operation. The change-guest-pwd option allows you to change the guest OS password via command line. Other options are self-explanatory.","--custom-pwd [--custom-pwd-mode &lt;on | off | change&gt;] [--replace-commands]","Set, reset, or changes a custom password for operations that require it. The options are described below.","--custom-pwd-mode &lt; on | off | change&gt; &#8212; set, reset, or changes a custom password for operations that require it.","--replace-commands &#8212; specify this option to reset commands that are protected with the admin password. This means that when you enable a custom password, commands that require the admin password will now require a custom password. Commands that previously required a custom password will be discarded. The same logic is used when you switch back to the admin password (set --custom-pwd-mode to off). When you disable a custom password, commands that require it will now require the admin password. Commands that previously required the admin password will be discarded. This option is ignored if --custom-pwd-mode is set to change.","--lock-on-suspend &lt;on | off&gt;","Always locks the guest OS on suspend.","--isolate-vm &lt;on | off&gt;","Isolates the the virtual machine from the host.","--smart-guard &lt;on | off&gt;","Enables or disables smart guard mech.","--sg-notify-before-create &lt;on | off&gt;","Notifies the user before creating a snapshot.","--sg-interval &lt;seconds&gt;","Sets a time interval between taking snapshots.","--sg-max-snapshots &lt;num&gt;","Sets the maximum allowed number of snapshots.","--lock-edit-settings &lt;on | off [--host-admin &lt;name&gt;]&gt;","Locks or unlocks editing of the virtual machine configuration.","--host-admin &lt;name&gt;","Specifies the host administrator name if an administrator password is required to unlock editing of the virtual machine configuration.","--userpasswd &lt;user : passwd&gt; [--host-admin &lt;name&gt;]","Sets a password for the specified user in the virtual machine. If the user account does not exist, it is created. The --host-admin &lt;name&gt; parameter specifies the host administrator name if an administrator password is required to change the user password in the virtual machine. Parallels Tools must be installed in the virtual machine for the command to succeed.","--password-to-edit","This parameter is not used since Parallels Desktop 15. In previous versions, it was used to set a custom password to modify the virtual machine configuration. In Parallels Desktop 15 and newer, use the --require-custom-pwd and --custom-pwd commands (described in the beginning of this section).","Security Parameters","43645.htm");

Page[51]=new Array("--expiration &lt;&lt;on|off&gt;|date:&lt;yyyy-MM-ddThh:mm:ss&gt;|time-check:&lt;seconds&gt;|offline-time:&lt;seconds&gt;|time-server:&lt;url&gt;|note:&lt;text&gt;&gt;","Expiration date parameters:","on|off: Enables or disables expiration date checking.","date: Sets a date and time when the virtual machine usage period expires (e.g. 2014-12-30T20:30:00).","time-check: Sets how often (in seconds) Parallels Desktop contacts the time server to check the expiration date and time.","offline-time: Sets the time period (in seconds) during which a user can work with the virtual machine if Parallels Desktop is unable to check the expiration date and time.","time-server: Specifies the URL of a trusted time server to check the expiration date and time.","note: Adds a note (e.g. system administrator contact info).","Expiration Date Parameters","43646.htm");

Page[52]=new Array("The following options can be used with the prlctl set command to manage devices: ","--device-add &#8212; add a new device.","--device-set &#8212; modify an existing device.","--device-del &#8212; delete (remove) a device.","--device-connect &#8212; connect a device.","--device-disconnect &#8212; disconnect a device.","Only one option can be specified in a single command.","Device Management","43647.htm");

Page[53]=new Array("The options described here are common for all types of devices.","--device-connect &lt;device_name&gt;","Connects the specified device to a running virtual machine. The device can be of type fdd, cdrom, sound, or net. To obtain a device name, use the  prlctl list -i command.","--device-disconnect &lt;device_name&gt;","Disconnects the specified device from a running virtual machine.","--device-set &lt;device_name&gt; &lt;&lt;--enable | --disable&gt; | &lt;--connect | --disconnect&gt;&gt;","Enables/disables or connects/disconnects the specified device to/from a virtual machine. Please note that the --device-set command is also used to modify a device configuration and has additional parameters, which are different for different types of devices. The parameters for each device type are described in subsequent sections of this guide.","--device-del &lt;device_name&gt; [--detach-only | --destroy-image | --destroy-image-force]","Removes the specified device from the virtual machine. ","If --detach-only is specified and the device is a virtual hard disk drive, the disk image is preserved. ","If --destroy-image is specified, the virtual HDD image is removed from the server. ","If --destroy-image-force is specified, the virtual HDD image is removed from all snapshots and from the server. ","The default action on deleting a virtual HDD is to detach the HDD image as if --detach-only was specified. ","Common Options","43648.htm");

Page[54]=new Array("The general syntax for adding a device is as follows:","prlctl set &lt;vm_id | vm_name&gt; --device-add &lt;hdd | cdrom | net | fdd | serial | parallel | sound | usb&gt; [device_options]","To modify a device:","prlctl set &lt;vm_id | vm_name&gt; --device-set &lt;device_name&gt; [device_options]","The subsequent sections describe options and parameters for each device type.","Adding and Modifying a Device","43649.htm");

Page[55]=new Array("Add a hard disk","--device-add hdd  [--image &lt;image_name&gt;] [--type &lt;expand | plain&gt;] [--size &lt;n&gt;] [--split] ","                        [--iface &lt;ide | scsi | sata&gt;] [--position &lt;n&gt;] ","                        [--subtype &lt;buslogic | lsi-spi | lsi-sas&gt;]","                        [--online-compact &lt;on | off&gt;]","Modify a hard disk","--device-set  &lt;hdd_name&gt; [--image &lt;image_name&gt;] [--type &lt;expand | plain&gt;] ","                        [--size &lt;n&gt;] [--split] [--iface &lt;ide | scsi | sata&gt;] [--position &lt;n&gt;] ","                        [--subtype &lt;buslogic | lsi-spi | lsi-sas&gt;] [--online-compact &lt;on | off&gt;]","Parameters","hdd_name: The name of the virtual hard disk to modify (--device-set command only). Virtual hard disks are named using the hddN format where N is the drive index number starting from 0 (e.g. hdd0, hdd1). To obtain the list of disk names, use the prlctl list --info command.","--image: specifies the name of the file to be used for emulating the VM virtual disk drive. If this option is omitted, a new file is created inside the directory storing all VM-related configuration files and assigned the name of harddiskN.hdd.","--type: specifies the type of the virtual disk from one of the following:","expand (default): virtual disks of this type are small initially and grow in size as you add data to it.","plain: virtual disks of this type have a fixed size from the moment of their creation.","--size: hard disk size, in megabytes.","--split: splits the hard disk into 2 Gb pieces.","--iface: virtual hard disk interface type: ide, scsi, or sata.","--position: the SCSI / IDE / SATA device identifier to be used for the disk drive. Allowed ranges:","0-3 for IDE disk drives","0-6 for SCSI disk drives","0-5 for SATA disk drives","--subtype: virtual hard disk subtype: buslogic, lsi-spi, lsi-sas.","--online-compact: enables or disables virtual hard disk online compact mode.","Virtual Hard Disk","43650.htm");

Page[56]=new Array("Connect a physical hard disk","--device-add hdd --device &lt;real_name&gt; [--iface &lt;ide | scsi | sata&gt;] [--passthr &lt;yes | no&gt;] ","                                             [--position &lt;n&gt;] [--subtype &lt;buslogic | lsi-spi | lsi-sas&gt;]","Parameters","--device: the name of the host computer hard disk that will be connected to the virtual machine. To obtain the names of all hard disks installed on the host, use the prlsrvctl info command.","--iface: virtual hard disk interface type: ide, scsi, sata.","--passthr: enables the passthrough mode for the specified device.","--position: the SCSI / IDE / SATA device identifier to be used for the disk drive. Allowed ranges:","0-3 for IDE disk drives","0-6 for SCSI disk drives","0-5 for SATA disk drives","--subtype: virtual hard disk subtype: buslogic, lsi-spi, lsi-sas.","Physical Hard Disk","43651.htm");

Page[57]=new Array("Add an optical drive","--device-add cdrom [--image &lt;name&gt;] [--iface &lt;ide | scsi | sata&gt;] [--position &lt;n&gt;] ","                           [--subtype &lt;buslogic | lsi-spi | lsi-sas&gt;]","Modify an optical drive","--device-set &lt;drive_name&gt; [--image &lt;name&gt;] [--iface &lt;ide | scsi | sata&gt;] ","                                      [--position &lt;n&gt;] [--subtype &lt;buslogic | lsi-spi | lsi-sas&gt;]","Parameters","drive_name: The name of the optical drive to modify (--device-set command only). To obtain the list of the available drives, use the prlctl list --info command.","--image: connect the specified image file to the virtual machine. The following image file formats are supported: iso, cue, ccd, dmg.","--iface: virtual optical interface type: ide, scsi, sata.","--position: the SCSI / IDE / SATA device identifier to be used for the optical drive. Allowed ranges:","0-3 for IDE disk drives","0-6 for SCSI disk drives","0-5 for SATA disk drives","--subtype: virtual optical drive subtype: buslogic, lsi-spi, lsi-sas.","Virtual Optical Drive","43652.htm");

Page[58]=new Array("Connect a physical optical drive","--device-add cdrom --device &lt;name&gt; [--iface &lt;ide | scsi | sata&gt;] [--passthr &lt;yes | no&gt;] ","                                         [--position &lt;n&gt;] [--subtype &lt;buslogic | lsi-spi | lsi-sas&gt;]","Parameters","--device: the name of the host computer CD/DVD drive that will be connected to the virtual machine. To obtain the names of all CD/DVD drives installed on the host, use the prlsrvctl info command.","--iface: virtual CD/DVD drive interface type.","--passthr: enables the passthrough mode for the specified device.","--position: the SCSI / IDE / SATA device identifier to be used for the CD/DVD drive. Allowed ranges:","0-3 for IDE disk drives","0-6 for SCSI disk drives","0-5 for SATA disk drives","--subtype: virtual CD/DVD drive subtype.","Physical Optical Drive","43653.htm");

Page[59]=new Array("Add an FDD","The command adds a virtual floppy disk drive based on a file image. ","--device-add fdd --image &lt;image&gt; [--recreate]","Modify an FDD","--device-set &lt;fdd_name&gt; --image &lt;image&gt; [--recreate]","Parameters","fdd_name: The name of the FDD to modify. To obtain the list of the available drives, use the prlctl list --info command.","--image: specifies the image file.","--recreate: if included, recreates the image file if it exists.","Virtual Floppy Disk Drive","43654.htm");

Page[60]=new Array("Connect a physical FDD","-device-add fdd [--device &lt;real_name&gt;]","Parameters","--device: specifies a physical floppy disk drive name.","Physical Floppy Disk Drive","43655.htm");

Page[61]=new Array("Add a network adapter","--device-add net --type &lt;shared | bridged | host-only&gt; [--iface &lt;name&gt;] [--mac &lt;addr | auto&gt;]","    [--ipadd &lt;addr [/mask]&gt; | --ipdel &lt;addr[/mask]&gt; | --dhcp &lt;yes | no&gt; | --dhcp6 &lt;yes | no&gt;]","    [--gw &lt;gw&gt;] [--gw6 &lt;gw&gt;] [--nameserver &lt;addr&gt;] [--searchdomain &lt;addr&gt;]","    [--configure &lt;yes | no&gt;] [--apply-iponly &lt;yes | no&gt;] ","    [--adapter-type &lt;virtio | e1000 | e1000e | rtl&gt;]","Modify a network adapter","--device-set &lt;adapter_name&gt; net --type &lt;shared | bridged | host-only&gt; [--iface &lt;name&gt;] ","    [--mac &lt;addr | auto&gt;] ","    [--ipadd &lt;addr [/mask]&gt; | --ipdel &lt;addr[/mask]&gt; | --dhcp &lt;yes | no&gt; | --dhcp6 &lt;yes | no&gt;]","    [--gw &lt;gw&gt;] [--gw6 &lt;gw&gt;] [--nameserver &lt;addr&gt;] [--searchdomain &lt;addr&gt;]","    [--configure &lt;yes | no&gt;] [--apply-iponly &lt;yes | no&gt;] ","    [--adapter-type &lt;virtio | e1000 | e1000e | rtl&gt;]","Parameters","adapter_name: the name of the virtual network adapter to modify (--device-set command only). To obtain the list of the available adapters, use the prlctl list --info command.","--type: the type of the network adapter to create in the virtual machine.","--iface: the host network interface to be assigned to the bridged or host-only virtual network adapter.","--mac: the MAC address to be assigned to the virtual network adapter. If omitted, the MAC address will be automatically generated.","--ipadd: the IP address to be assigned to the network adapter in the virtual machine.","--ipdel: the IP address to be removed from the network adapter in the virtual machine.","--dhcp: specifies whether the virtual network adapter should get its IP settings through a DHCP server.","--dhcp6: specifies whether the virtual network adapter should get its IPv6 settings through a DHCP server.","--gw: the default gateway to be used by the virtual machine.","--gw6: the default IPv6 gateway to be used by the virtual machine.","--nameserver: the default DNS server to be used by the virtual machine.","--searchdomain: the default search domain to be used by the virtual machine.","--configure: if set to yes, the settings above are applied to the virtual network adapter instead of its original settings. Configuring any of the settings automatically sets this option to yes.","--apply-iponly: if set to yes, the hostname, nameserver, and search domain settings from the virtual machine configuration file are ignored.","--adapter-type: specifies the network adapter emulation type.","Virtual Network Adapter","43656.htm");

Page[62]=new Array("Add a serial port","--device-add serial {--device &lt;name&gt;|--output &lt;file&gt;|--socket &lt;name&gt; ","                                                       [--socket-mode &lt;server|client&gt;]}","Modify a serial port","--device-set &lt;port_name&gt; {--device &lt;name&gt;|--output &lt;file&gt;|--socket &lt;name&gt; ","                                                       [--socket-mode &lt;server|client&gt;]}","Parameters","port_name: the name of the port to modify (--device-set command only). To obtain the list of the available ports, use the prlctl list --info command.","--device: the number of the host computer serial port that will be used by the virtual machine.","--output: the path to the file where the output of the virtual serial port will be sent.","--socket: the name of the host computer socket to which the serial port will be connected.","--socket-mode: the socket operation mode.","Virtual Serial Port","43657.htm");

Page[63]=new Array("Add a parallel port","--device-add parallel {--device &lt;name&gt; | --output &lt;file&gt;}","Modify a parallel port","--device-set &lt;port_name&gt; {--device &lt;name&gt; | --output &lt;file&gt;}","Parameters","port_name: the name of the port to modify (--device-set command only). To obtain the list of the available ports, use the prlctl list --info command.","--device: the parallels port number on the host computer that will be used by the virtual machine.","--output: the path to the file where the output of the virtual parallel port will be sent.","Virtual Parallel Port","43660.htm");

Page[64]=new Array("Add a sound card","--device-add sound --output &lt;name&gt; --input &lt;name&gt;","Modify a sound card","--device-set sound --output &lt;name&gt; --input &lt;name&gt;","Parameters:","--ouput: the name of a physical output device to which to connect the virtual sound card. ","--input: the name of the physical input device to which to connect the virtual sound card.","Virtual Sound Card","43658.htm");

Page[65]=new Array("The command adds USB support to a virtual machine and makes the USB &amp; Bluetooth configuration options available.","--device-add usb","Add USB Support","43659.htm");

Page[66]=new Array("A shared folder is a host OS folder that can be accessed from a virtual machine.","--shf-host &lt;on | off&gt;","Enables or disables sharing the user-defined host OS folders with guest OS.","--shf-host-add &lt;name&gt; --path &lt;path&gt; [--mode &lt;ro | rw&gt;] [--shf-description &lt;desc&gt;] ","                      [--enable | --disable]","Shares the host OS folder name with a virtual machine.","--shf-host-del &lt;name&gt;","Removes the specified folder from the list of shared folders.","--shf-host-set &lt;name&gt; --path &lt;path&gt; [--mode &lt;ro | rw&gt;] [--shf-description &lt;desc&gt;] ","                      [--enable | --disable]","Modifies the settings of the host OS shared folder name.","--shf-host-defined &lt;off | alldisks | home&gt;","off: Disable sharing of folders defined by the host OS.","alldisks: Share all host OS disks with a virtual machine.","home: Share a host OS user's home directory with a virtual machine.","--shf-guest &lt;on | off&gt;","Enables or disables sharing of user-defined guest OS folders with the host OS.","--shf-guest-automount &lt;on | off&gt;","Enables or disables automatic mounting of shared guest OS folders on the desktop.","Shared Folders","43661.htm");

Page[67]=new Array("--time-sync &lt;on | off&gt;","Enables or disables the virtual machine time synchronization.","--disable-timezone-sync &lt;on | off&gt;","Enables or disables timezone synchronization. Enable this option to sync only UTC time without timezone synchronization.","--sync-vm-hostname &lt;on | off&gt;","Enables or disables synchronization of the virtual machine name and hostname in guest OS. Supported only for Linux guests.","--sync-ssh-ids &lt;on | off&gt;","Enables or disables synchronization of macOS SSH public keys with those from the guest OS &quot;authorized_keys&quot; file.","This feature is similar to the ssh-copy-id(1) utility. When enabled, all macOS SSH public keys are added to the guest OS &quot;authorized_keys&quot; file. This allows users to log in to the guest OS via SSH without having to enter the password.","The following SSH keys are synced:","- When a user creates a new SSH key pair in macOS, the public key is also added to the guest OS.","- When a user removes a public key from macOS, this key is also removed from the guest OS.","The details of current implementation:","- Public key synchronization is currently available for Linux guests only.","- Public key synchronization works if the guest OS user has the same name in macOS or the user is the only regular user of the guest system.","The public key is synced in the following cases:","- After Parallels Tools are installed.","- After booting or rebooting the guest OS.","- After the virtual machine resumes.","- After the public key synchronization feature is enabled/disabled.","Additional information:","- If the feature is disabled, all macOS SSH public keys are removed from the guest OS.","- The &quot;authorized_keys&quot; file and public keys are searched only in the &quot;~/.ssh&quot; directory.","- SSH authorization certificates are not supported.","--show-dev-tools &lt;on | off&gt;","Enables or disables show developer tools in menu.","--swipe-from-edges &lt;on | off&gt;","Enables or disables edge swipe gestures.","--rename-ext-disks","Renames external virtual hard disks bundles using the virtual machine name.","Advanced","43662.htm");

Page[68]=new Array("--name &lt;name&gt;","Changes the virtual machine name.","--description &lt;desc&gt;","Sets the virtual machine description.","--distribution &lt;name | list&gt;","Sets the virtual machine OS version(s) family.","--asset-id &lt;id&gt;","Changes the virtual machine asset ID.","--template &lt;on | off&gt;","Converts the virtual machine to template and back.","--tools-autoupdate &lt;yes | no&gt;","Enables or disables the auto-update mode for Parallels Tools Agent.","--usedefanswers &lt;on | off&gt;","Enables or disables default mech answers to the questions from the virtual machine.","Miscellaneous","43663.htm");

Page[69]=new Array("This section describes command used to manage virtual machine snapshots.","Snapshot Management","43632.htm");

Page[70]=new Array("prlctl snapshot &lt;vm_id | vm_name&gt;","Creates a virtual machine snapshot.","Optional parameters","-n, --name &lt;name&gt;","A snapshot name. If omitted, a default name will be used.","-d, --description &lt;desc&gt;","A snapshot description.","Take a Virtual Machine Snapshot","27383.htm");

Page[71]=new Array("prlctl snapshot-delete &lt;vm_id | vm_name&gt; -i, --id &lt;snapid&gt;","Deletes a virtual machine snapshot. The -i, --id &lt;snapid&gt; parameter specifies the ID of the snapshot to delete.","Optional parameters","-c, --children ","If included, all child snapshots of the specified snapshot will be deleted.","Delete a Snapshot","28754.htm");

Page[72]=new Array("prlctl snapshot-list &lt;vm_id | vm_name&gt; [{-t,--tree] | [-i,--id &lt;snapid&gt;}] [-j, json]","Lists the virtual machine snapshot tree. There are three modes of snapshot listing:","If the -t, --tree option is specified, the tree is displayed using ASCII graphics.","If the -i, --id &lt;snapid&gt; option is specified, the specified snapshot information is displayed.","If no option is specified, the snapshot tree is displayed as a table with two columns: PARENT_SNAPSHOT_ID, SNAPSHOT_ID.","The optional -j, --json parameter produces an output in JSON format.","List Snapshots","28755.htm");

Page[73]=new Array("prlctl snapshot-switch &lt;vm_id | vm_name&gt; -i, --id &lt;snapid&gt; [--skip-resume]","Reverts the specified virtual machine to the specified snapshot. The  -i, --id &lt;snapid&gt; parameter specifies the ID of a snapshot to revert to.","If the optional --skip-resume parameter is included, the virtual machine will not be started if it was running when the snapshot was taken.","Revert to a Snapshot","28756.htm");

Page[74]=new Array("This section describes miscellaneous prlctl commands.","Miscellaneous Commands","43633.htm");

Page[75]=new Array("prlctl problem-report &lt;vm_id | vm_name&gt; ","            &lt;-d, --dump | -s, --send [--proxy [user [:password] @proxyhost [:port]]] [--no-proxy]&gt;","Generates a problem report. If the -s, --send option is specified, the report is sent to Parallels. Otherwise, it is dumped to stdout.","Parameters","-d, --dump","If included, the report is displayed on the screen. You can pipe the output to a file and then send it to the Parallels technical support."," -s, --send","If this option is included (instead of -d, --dump), the report is sent to Parallels. You can specify additional optional parameters, which are described below.","--proxy user:password@proxyhost:port","If you use a proxy server to connect to the Internet, include the --proxy parameter and specify the proxy server information. The problem report will be sent to Parallels through this proxy server.","--no-proxy","Do not use a proxy server to send the problem report. This is the default behavior, so you can include or omit this parameter.","Optional Parameters","--name &lt;user_name&gt;","Inserts the specified user name into the report.","--email &lt;user_e-mail&gt;","Inserts the specified e-mail address into the report.","--description &lt;problem_description&gt;","Inserts the specified free-form description into the report.","Generate a Problem Report","28660.htm");

Page[76]=new Array("prlctl guest-debugger &lt;vm_id | vm_name&gt; [--port &lt;port&gt;]","Allows you to connect the debugger to a running virtual machine via the specified port. The debugger must be installed on the same computer where the virtual machine is running. ","Use Guest Debugger","43634.htm");

Page[77]=new Array("prlctl debug-dump &lt;vm_id | vm_name&gt; ","                          [--name &lt;dump_file_name&gt;] [--path &lt;output_directory_path&gt;]","Creates a virtual machine dump in ELF format and saves it to a file. The resulting dump file can be opened with the Linux crash utility or (with some limitations) with the GDB debugger.","Optional parameters","--name &lt;dump_file_name&gt;","Allows you to specify a dump file name. By default, the file is named memory.elf.dmp. When you create a new dump file, it replaces the previous file (if it exists). Giving it a custom name to a file solves this issue.","--path &lt;output_directory_path&gt;]","By default, dump files are saved to the virtual machine directory. If you want to save them to another directory, specify the directory path using the --path parameter.","Notes","To create a dump, the virtual machine must be running or paused. Suspended virtual machines are not supported by this command. The command returns 0 (zero) on success and a non-zero value on failure.","Create a VM Dump","39639.htm");

Page[78]=new Array("prl_disk_tool is a standalone utility (included with Parallels Desktop) used to optimize Parallels virtual machine disks.","Syntax","prl_disk_tool compact [--buildmap] -hdd &lt;disk_name&gt; [--force] [-comm &lt;memory_name&gt;]","prl_disk_tool compact i,info --hdd &lt;disk_name&gt; [comm &lt;memory_name&gt;]","The prl_disk_tool compact command removes all empty blocks from expanding Parallels virtual disks and reduces their size on your real disk. Compacting is performed by scanning file systems for unused clusters and cleaning the corresponding disk blocks. The supported file systems are NTFS, FAT16/32, ext2/ext3. You can also try to compact disks with unsupported file system types using the --buildmap option.","Virtual Machine Disk Optimization","46359.htm");

Page[79]=new Array("The prlctl utility returns 0 on success or an error code on failure.","Error Handling","43664.htm");

var PageCount=80;



function search(SearchWord){

var Result="";

var NrRes=0;

Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';

Result+="<html>\n";

Result+="<head>\n";

Result+="<title>Search Results</title>\n";

Result+="<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>\n";

Result+='<script language="javascript" type="text/javascript" charset="ISO-8859-1" src="dhtml_search.js"></script>\n';

Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';

Result+='<link rel="stylesheet" type="text/css" href="2007.css">\n';

Result+="</head>\n";

Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";





/* old */ /*



Result+='<p class="searchDetails">Enter a keyword or phrase';



Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';

if(SearchWord.length>=1){

   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){

       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");

   }

}

Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';

Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';

Result+='</p>\n';



*/ /* new */





Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';

Result+='<p class="searchDetails">Enter a keyword or phrase';



if(SearchWord.length>=1){

   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){

       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");

   }

}



Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';

Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';

Result+='</p>\n';

Result+='</form>\n';



/* end */







if(SearchWord.length>=1){

   SearchWord=SearchWord.toLowerCase();

   this.status="Searching, please wait...";

   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";



   for(j=0;j<PageCount;j++){

       k=Page[j].length-1;

       for(i=0;i<k;i++){

           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);

           if(WordPos>-1){

                NrRes++;

               break; }}}



   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";



   for(j=0;j<PageCount;j++){

       k=Page[j].length-1;

       for(i=0;i<k;i++){

           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);

           if(WordPos>-1){



               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);

               NrRes++;

               Result+="<tr><td class='search'><p class='searchResults'>";

               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";



               if(i<k-1){

                   if(Page[j][i].length>350){

                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";

                   }

                   else{

                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";

                   }

               }

               Result+="</p></td></tr>";

               break;			   

           }		   

       }	   

   }

     

   Result+="</table>";

   



}



Result+="</body></html>";

this.status="";

this.document.open();

this.document.write(Result);

this.document.close();

}